<template>
    <div class="win">

    
    <v-sheet class="mx-auto" elevation="8" max-width="800">
        <v-slide-group v-model="model" class="pa-4" selected-class="bg-primary" show-arrows>
            <v-slide-group-item v-for="n in 7" :key="n" v-slot="{ isSelected, toggle, selectedClass }">

                <v-card color="grey-lighten-1" :class="['ma-4', selectedClass]" height="500" width="500" @click="toggle"
                    cover>
                    <img style="background-size: cover;background-position: center; width: 100%;"
                        src="https://pprp.or.th/wp-content/uploads/2021/11/pprp-atirat-rattanaset.jpg" alt="">
                    <div class="d-flex fill-height align-center justify-center">
                        <v-scale-transition>
                            <v-icon v-if="isSelected" color="white" size="48" icon="mdi-circle-outline"></v-icon>
                        </v-scale-transition>
                    </div>
                </v-card>
            </v-slide-group-item>
        </v-slide-group>

        <v-expand-transition>
            <v-sheet v-if="model != null" height="200">
                <div class="d-flex fill-height align-center justify-center">
                    <h3 class="text-h6">
                        ส.ส. ภาคตะวันออกเฉียงเหนือ คนที่ {{ model + 1 }}
                    </h3>
                </div>
            </v-sheet>
        </v-expand-transition>
    </v-sheet>
</div>
</template>
<script>
export default {
    data: () => ({
        model: null,
    }),
}
</script>

<style scoped>
.win{
    margin-top: 1rem;
}
</style>